import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

public class ArbreIndestrictible extends Entite{
	

	private BufferedImage image;
	static int largeur = 200;
	static int hauteur = 250;
	Fenetre fenetre;
	
	public ArbreIndestrictible(float x, float y, BufferedImage img,Fenetre fenetre){
		super(x,y,largeur,hauteur);
		vie=10000000;
		image = img;
		this.fenetre=fenetre;
	}
	
	
	public void meurt(){ // SI L'ENTITE ARBRE MEURT ELLE CREE UN NOUVELLE ITEM BOIS
		Fenetre.gItem.addItem(Liste.iBois.nouvelItem((int)x+largeur/3,(int) y+hauteur/3));
		
	}
	// On l'affiche que si le joueur n'a pas le talisman
	public void dessine(Graphics g, JPanel jp){ // DESSINE RELATIVEMENT A L'OFFSET ET ON MET UNE BARRE DE VIE 
		g.drawImage(image, (int) (x - Fenetre.camera.getxOffset()) , (int) (y - Fenetre.camera.getyOffset()), largeur, hauteur, jp);
		if(fenetre.j1.objets_joueur[2].exister){
			enVie=false;
			
		}else{
			vie++;
		}
		
	}
}
